about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--tests/common.sh.in2
-rw-r--r--tests/remote-store.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/tests/common.sh.in b/tests/common.sh.in
index 4228811ff9b5..dde95dd13ca3 100644
--- a/tests/common.sh.in
+++ b/tests/common.sh.in
@@ -2,7 +2,7 @@ set -e
 
 export TEST_ROOT=$(pwd)/test-tmp
 export NIX_STORE_DIR
-if ! NIX_STORE_DIR=$(readlink -f $TEST_ROOT/store); then
+if ! NIX_STORE_DIR=$(readlink -f $TEST_ROOT/store 2> /dev/null); then
     # Maybe the build directory is symlinked.
     export NIX_IGNORE_SYMLINK_STORE=1
     NIX_STORE_DIR=$TEST_ROOT/store
diff --git a/tests/remote-store.sh b/tests/remote-store.sh
index 4a31312f58bf..1e5a4356e5e1 100644
--- a/tests/remote-store.sh
+++ b/tests/remote-store.sh
@@ -5,13 +5,13 @@ export FORCE_NIX_REMOTE=1
 echo '*** testing slave mode ***'
 clearStore
 clearManifests
-NIX_REMOTE=slave sh ./user-envs.sh
+NIX_REMOTE=slave $SHELL ./user-envs.sh
 
 echo '*** testing daemon mode ***'
 clearStore
 clearManifests
 $nixworker --daemon &
 pidDaemon=$!
-NIX_REMOTE=daemon sh ./user-envs.sh
+NIX_REMOTE=daemon $SHELL ./user-envs.sh
 kill -9 $pidDaemon
 wait $pidDaemon || true